<?php
/**
 * Wrapper for Zend_Controller_Action
 * 
 */
class Fiktiv_Controller_Action extends Zend_Controller_Action
{
    /**
     * Allow easy access to action helpers.
     * @param string $name
     * @return mixed
     */
    public function __get($name)
    {
        if ($this->_helper->$name instanceof Zend_Controller_Action_Helper_Abstract) {
            return call_user_func(array($this->_helper, $name));
        }
    }

    /**
     * Direct access to translate with out going
     * through view.
     * @return string
     */
    public function translate()
    {
        $args = func_get_args();
        return call_user_func_array(array($this->view, 'translate'), $args);
    }
}